<link rel="import" href="../../polymer/polymer-element.html" />

<dom-module id="app-login">
    <template>
        <link rel="stylesheet" href="css/bulma.min.css" />
        <style>
            .has-background-transparent {
                background: transparent !important;
            }
            input {
                border: 1px white solid !important;
            }
            input::placeholder {
                color: hsl(0, 0%, 95%) !important;
            }
        </style>

        <h3 class="title has-text-centered has-text-white">Bienvenido de nuevo</h3>
        <form class="form" on-submit="iniciarSesion" method="POST">
            <div class="field">
                <input
                    class="input is-rounded has-text-white has-background-transparent"
                    type="email"
                    name="email"
                    id="email"
                    value="{{email::input}}"
                    placeholder="correo@ejemplo.com"
                    required
                />
            </div>

            <div class="field">
                <input
                    class="input is-rounded has-text-white has-background-transparent"
                    type="password"
                    name="contraseña"
                    id="contraseña"
                    value="{{clave::input}}"
                    placeholder="Contraseña"
                    required
                />
            </div>

            <div class="field has-text-centered">
                <button type="submit" class="button is-primary is-inverted is-outlined is-rounded">
                    Iniciar sesión
                </button>
            </div>
        </form>
    </template>

    <script>
        /**
         * `app-proyecto`
         * Proyecto final de Polymer
         *
         * @customElement
         * @polymer
         * @demo demo/index.html
         */
        class AppLogin extends Polymer.Element {
            static get is() {
                return "app-login";
            }
            static get properties() {
                return {
                    email: String,
                    clave: String,
                };
            }
            iniciarSesion(e) {
                e.preventDefault();
                console.log(this.email);
                console.log(this.clave);
                alert("Conexión al servidor pendiente, los datos están en la consola");

                // Ya que es un demo...
                window.location.replace("perfil.html");
            }
        }

        window.customElements.define(AppLogin.is, AppLogin);
    </script>
</dom-module>
